## mp3burn 0.4.2

=== Makefile ===
%.1: % ; pod2man $< >$@

all: mp3burn.1

=== debian/changelog ===
mp3burn (0.4.2-5) unstable; urgency=medium

  * QA upload.
  * Depend on mpg123 instead of mpg321 | mpg123.
  * [lintian] Delete trailing-whitespace in changelog.
  * [lintian] Fix spelling errors in copyright file.
  * [lintian] Set Rules-Requires-Root: no.
  * Delete mp3burn.1 on clean. Closes: #1047757

 -- Andreas Metzler <ametzler@debian.org>  Wed, 27 Mar 2024 16:30:11 +0100

mp3burn (0.4.2-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + mp3burn: Drop versioned constraint on mpg321 and vorbis-tools in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 22:19:55 +0000

mp3burn (0.4.2-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control:
    + Add SourceForge homepage.
    + Use correct Vcs-* URLs.
    + Bump debhelper compat to v13. (Closes: #965731)
  * debian/source/format: Use "3.0 (quilt)".
  * debian/patches: Include all debian patches.
  * debian/rules: Rewrite with dh. (Closes: #999209)

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Mar 2022 14:18:04 -0400

mp3burn (0.4.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild the package to allow testing migration.
  * debian/control: Replace Priority: extra with Priority: optional.
  * debian/README.Debian: Fix typo (double the).
  * debian/source/format: Explicitly use "1.0" format.
  * debian/rules: Replace deprecated "dh_clean -k" with "dh_prep".

 -- Boyuan Yang <byang@debian.org>  Sun, 08 Sep 2019 15:25:03 -0400

mp3burn (0.4.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.18: POD errors":
    apply POD fix from brian m. carlson.
    (Closes: #719503)

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Aug 2013 16:50:22 +0200

mp3burn (0.4.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use Ogg::Vorbis::Header::PurePerl instead of Ogg::Vorbis::Header.
    (Closes: #655408)

 -- Tim Retout <diocles@debian.org>  Mon, 09 Apr 2012 21:39:29 +0100

mp3burn (0.4.2-2) unstable; urgency=low

  * Remove dependency on cdrecord (Closes: #405644)
  * Really use wodim instead of cdrecord
  * Bump standards version
  * Update copyright
  * Add ${misc:Depends} to binary deps

 -- Alexander Wirt <formorer@debian.org>  Mon, 25 Oct 2010 09:05:07 +0200

mp3burn (0.4.2-1) unstable; urgency=low

  * New upstream release
    - Fix swap detection (Closes: #450865, #289822, #450865)
  * Add dependency on cdrecord dummy package (Closes: #501388)
  * Bump standards version (no changes)

 -- Alexander Wirt <formorer@debian.org>  Tue, 14 Oct 2008 07:56:06 +0200

mp3burn (0.4.1-3) unstable; urgency=low

  * Replace cdrecord with wodim (Closes: #405644)
  * Move dh compat to debian/compat

 -- Alexander Wirt <formorer@debian.org>  Thu, 25 Oct 2007 16:41:45 +0200

mp3burn (0.4.1-2) unstable; urgency=low

  * Add swab support for ppc
  * Bumped standards version
  * Updated debhelper compat version

 -- Alexander Wirt <formorer@debian.org>  Sun, 24 Sep 2006 11:44:55 +0200

mp3burn (0.4.1-1) unstable; urgency=low

  * New upstream release
    - Detects swab on x86_64 correctly

 -- Alexander Wirt <formorer@debian.org>  Wed,  9 Feb 2005 22:15:37 +0100

mp3burn (0.4.0-1) unstable; urgency=low

  * New upstream release
    - Don't longer uses ogginfo directly (Closes: #250834)
    - Fixed the detection of the mp3 decoder (Closes: #252434)

 -- Alexander Wirt <formorer@debian.org>  Sun, 18 Jul 2004 15:58:00 +0200

mp3burn (0.3.3-1) unstable; urgency=low

  * New upstream release
  	- Fixed detection of the flac decoder (Closes: #246279)

 -- Alexander Wirt <formorer@debian.org>  Wed, 28 Apr 2004 10:34:06 +0200

mp3burn (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Alexander Wirt <formorer@debian.org>  Wed, 14 Apr 2004 14:09:53 +0200

mp3burn (0.3.1-2) unstable; urgency=low

  * Fixed manpage (closes #222393)

 -- Alexander Wirt <formorer@debian.org>  Fri,  2 Jan 2004 10:35:38 +0100

mp3burn (0.3.1-1) unstable; urgency=low

  * New upstream release (fixed swap detection)
  * Updated Standardsversion

 -- Alexander Wirt <formorer@debian.org>  Sun, 16 Nov 2003 21:59:10 +0100

mp3burn (0.3-1) unstable; urgency=low

  * New upstream release

 -- Alexander Wirt <formorer@debian.org>  Fri, 14 Nov 2003 23:44:21 +0100

mp3burn (0.02-15) unstable; urgency=low

  * switches from standard getopt to GetOpts::Long
  * updated Manpage for the new option format
  * Changed Maintainerfield

 -- Alexander Wirt <formorer@debian.org>  Fri, 14 Nov 2003 16:13:47 +0100

mp3burn (0.02-14) unstable; urgency=low

  * New Maintainer (closes: #202329)
  * mp3burn now uses pod2usage for generating help output
  * added -h switch for help
  * Updated manpage
  * Removed flac dependency and add flac check
  * Exit gracefully if there are no valid files to burn
  * Use Shell::StringQuote to avoid problems with spaces and metacharacters in
    filenames.

 -- Alexander Wirt <formorer@formorer.de>  Sun, 12 Oct 2003 19:02:55 +0200

mp3burn (0.02-13) unstable; urgency=low

  * command-line arguments summary (thx to Kevin C. Krinke for the patch)
  * orphaned; maintainer set to packages@qa.debian.org

 -- tony mancill <tmancill@debian.org>  Mon, 21 Jul 2003 16:11:02 -0700

mp3burn (0.02-12) unstable; urgency=low

  * added ATIP support from upstream's mp3burn-0.1 package

 -- tony mancill <tmancill@debian.org>  Tue, 11 Feb 2003 19:27:29 -0800

mp3burn (0.02-11) unstable; urgency=low

  * playlist support (thanks to <andreas@inferno.nadir.org> for the patch)

 -- tony mancill <tmancill@debian.org>  Thu,  6 Feb 2003 20:37:13 -0800

mp3burn (0.02-10) unstable; urgency=low

  * initial support for FLAC audio files (closes: #173349)

 -- tony mancill <tmancill@debian.org>  Mon, 03 Feb 2003 21:52:55 -0800

mp3burn (0.02-9) unstable; urgency=low

  * now handles vorbis-tools 1.0 ogginfo output (closes: #163451)
  * slight tweaks to handle non-audio files


=== debian/control ===
Source: mp3burn
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Homepage: https://sourceforge.net/projects/mp3burn/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/mp3burn.git
Vcs-Browser: https://salsa.debian.org/debian/mp3burn

Package: mp3burn
Architecture: all
Depends:
 file,
 libmp3-info-perl,
 libogg-vorbis-header-pureperl-perl,
 libstring-shellquote-perl,
 mpg123,
 vorbis-tools,
 wodim,
 ${misc:Depends},
 ${perl:Depends},
Suggests:
 flac,
 libaudio-flac-perl,
Description: burn audio CDs directly from MP3, Ogg Vorbis, or FLAC files
 mp3burn is a Perl script that allows you to burn audio CDs composed
 of MP3, Ogg Vorbis, or FLAC tracks without an intermediate file conversion
 to .cdr or .wav.
 The .mp3/.ogg/.flac files *are* converted using a decoder, but are
 written to FIFOs so they don't consume filesystem space during the burn.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_install:
	# create manpage
	pod2man mp3burn mp3burn.1
